SkinMarketCap API
Profiles

Get CS2 stats

A player's CS2 stats from FACEIT, Leetify and Steam. Costs 2 credits. Needs the Starter plan or above.

GET
/v1/profiles/{steamId}/stats

Authorization

x-api-key<token>

In: header

Path Parameters

steamId*string

A SteamID64, a Steam Community profile URL or a custom-URL (vanity) name.

Lengthlength <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/profiles/{steamId}/stats"
{  "faceit": {    "playerId": "d3de50b6-c0fb-4d93-a304-0bdf7749ea5d",    "nickname": "ropz",    "url": "https://www.faceit.com/en/players/ropz",    "avatar": "https://distribution.faceit-cdn.net/images/702c7586-cb7e-4866-9864-1a700f5143c0.jpeg",    "countryCode": "EE",    "createdAt": "2014-10-25T00:49:23.393Z",    "game": "cs2",    "level": 10,    "elo": 2584,    "stats": {      "matches": 4131,      "wins": 2486,      "winRate": 60.18,      "kdRatio": 1.4,      "headshotPercent": 52,      "adr": 75.93,      "utilityDamagePerRound": 3.1,      "clutch1v1WinRate": 45,      "clutch1v2WinRate": 32,      "recentResults": [        "win",        "win",        "win"      ],      "longestWinStreak": 14,      "currentWinStreak": 5,      "entryRate": 16,      "entrySuccessRate": 58,      "flashSuccessRate": 40,      "enemiesFlashedPerRound": 0.21,      "sniperKillRate": 5,      "maps": [        {          "map": "de_ancient",          "matches": 14,          "wins": 10,          "winRate": 71.43,          "kdRatio": 1.57,          "headshotPercent": 54,          "adr": 75.9        }      ]    }  },  "matchmaking": {    "premier": {      "rating": 27325,      "recentResults": [        "win",        "win",        "win"      ],      "stats": {        "matches": 3,        "wins": 3,        "winRate": 100,        "peakRating": 27325,        "kdRatio": 2.08,        "headshotPercent": 68.35,        "adr": 109.61      }    },    "wingmanRank": 17,    "competitiveRanks": [      {        "map": "de_nuke",        "rank": 16      },      {        "map": "de_dust2",        "rank": 16      },      {        "map": "de_train",        "rank": 16      }    ]  },  "leetify": {    "url": "https://leetify.com/app/profile/76561197991272318",    "winRate": 63.33,    "totalMatches": 2310,    "skills": {      "aim": 98.7776,      "positioning": 69.4974,      "utility": 48.732,      "opening": -3.13,      "clutch": 7.04    },    "ratings": {      "leetify": 0.26,      "ct": 0.48,      "t": 0.03    },    "aimStats": {      "hsAccuracy": 24.0112,      "crosshairPlacement": 8.0045,      "reactionTimeMs": 402.7871,      "sprayAccuracy": 49.9697,      "counterStrafing": 89.1727,      "spottedAccuracy": 46.4277    },    "heDamage": {      "enemies": 7.1097,      "team": 0.6691    },    "openingDuels": {      "ctSuccess": 56.9246,      "tSuccess": 47.5816,      "ctAggressionSuccess": 52.5369,      "tAggressionSuccess": 58.018    },    "trading": {      "tradeKillSuccess": 50.8674,      "tradedDeathSuccess": 49.3337,      "opportunitiesPerRound": 0.3127    },    "flashbangs": {      "thrown": 5.1987,      "hitFoePerFlashbang": 0.4747,      "hitFriendPerFlashbang": 0.3088,      "foeBlindDuration": 2.542,      "leadingToKill": 5.9884    },    "utilityOnDeath": 301.5647  },  "steam": {    "kills": 439273,    "deaths": 394601,    "kdRatio": 1.11,    "rounds": 341327,    "matches": 12530,    "wins": 6273,    "winRate": 50.06,    "headshotPercent": 72.92,    "accuracy": 17.57,    "playtimeHours": 22879,    "mvps": 44372,    "bombsPlanted": 13081,    "bombsDefused": 3587,    "knifeKills": 5157,    "favoriteWeapon": {      "weapon": "ak47",      "kills": 227437    },    "weapons": [      {        "weapon": "ak47",        "kills": 227437,        "accuracy": 29.5      },      {        "weapon": "m4a1",        "kills": 102842,        "accuracy": 24.95      },      {        "weapon": "hkp2000",        "kills": 77239,        "accuracy": 30.41      }    ],    "bestMap": {      "map": "de_dust2",      "wins": 26437    }  }}